# Connect an existing carrier account using OAuth 2.0 Used by client applications to setup or reconnect an existing carrier account with carriers that support OAuth 2.0 Endpoint: GET /carrier_accounts/{CarrierAccountObjectId}/signin/initiate Version: 2018-02-08 Security: APIKeyHeader ## Path parameters: - `CarrierAccountObjectId` (string, required) The carrier account ID (UUID) to start a signin process. ## Query parameters: - `redirect_uri` (string, required) Callback URL. The URL that tells the authorization server where to send the user back to after they approve the request. - `state` (string) A random string generated by the consuming application and included in the request to prevent CSRF attacks. The consuming application checks that the same value is returned after the user authorizes Shippo. ## Header parameters: - `SHIPPO-API-VERSION` (string) Optional string used to pick a non-default API version to use. See our API version guide. Example: "2018-02-08" ## Response 400 fields (application/json): - `title` (string) Example: "Missing required parameter" - `detail` (string) Example: "redirect_uri" ## Response 401 fields (application/json): - `title` (string) Example: "Unsupported OAuth Carrier Account" - `detail` (string) Example: "The carrier account 3c49f998b1234a2097ea0911a7e95bea does not support OAuth authorization" ## Response 404 fields (application/json): - `title` (string) Example: "Carrier Account not found" - `detail` (string) Example: "Carrier Account not found for object_id: 3c49f998b1234a2097ea0911a7e95bea" ## Response 302 fields